- `int argc` "argument count" always start from 1.
- `char **argv` (double pointer) a pointer to the string arrays(whitch is also a pointer). Can also be writen like `char *argv[]`
- `char **env` access to the system environment values
WE CAN CHANGE "argc" "argv" "env" to whatever name we want.

